#pragma once
#include "node.h"
#include "node_button.h"
#include "node_text.h"
#include "node_border.h"

class NodeProgressBar : public NodeBorder
{
public:
    Node* m_template;
    NodeButton* btn_cancel;
    NodeText* m_title;
    NodeBorder* m_progress;
    virtual Node* clone_instantiate() const override;
    virtual void init() override;
};
